Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDS

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.XDS

public abstract class XDS
extends Object

Package-exported constants.

Field Summary
`static String` | `BUILD` The build stamp of this library in the format 'YYYYMMDD_HHMM'.
`static boolean` | `DEBUG` Is this a debug build?
`static Map` | `EMPTY_MAP` An empty, unmodifiable map object.
`static int` | `EQUAL` Normalized equals value returned from calls to Comparable.compareTo(Object):int.
`static int` | `GREATER_THAN` Normalized greater than value returned from calls to Comparable.compareTo(Object):int.
`static int` | `LESS_THAN` Normalized less than value returned from calls to Comparable.compareTo(Object):int.
`static String` | `LIBRARY_NAME` The name of this library.
`static String` | `VERSION` The version of this library.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_MAP

    public static final Map EMPTY_MAP

  An empty, unmodifiable map object.

### BUILD

    public static final String BUILD

  The build stamp of this library in the format 'YYYYMMDD_HHMM'.

  See Also:
    Constant Field Values

### LIBRARY_NAME

    public static final String LIBRARY_NAME

  The name of this library.

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  The version of this library.

  See Also:
    Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

  Normalized less than value returned from calls to Comparable.compareTo(Object):int.

  See Also:
    Constant Field Values

### EQUAL

    public static final int EQUAL

  Normalized equals value returned from calls to Comparable.compareTo(Object):int.

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

  Normalized greater than value returned from calls to Comparable.compareTo(Object):int.

  See Also:
    Constant Field Values

### DEBUG

    public static final boolean DEBUG

  Is this a debug build?

  `true` == yes, `false` == no

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD